package dev.fitko.fitconnect.client.model;

import dev.fitko.fitconnect.api.domain.model.submission.ServiceType;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.With;

import java.util.Collections;
import java.util.List;
import java.util.UUID;

@Data
@With
@AllArgsConstructor
@NoArgsConstructor
public class SubmissionPayload {

    private UUID destinationId;
    private DataPayload data;
    private String encryptedMetadata;
    private ServiceType serviceType;

    // Optional - default empty List
    private List<AttachmentPayload> attachments = Collections.emptyList();
    private List<String> encryptedAttachments = Collections.emptyList();
}
